-- Copyright © 2008 - 2016 Xianghar
-- All Rights Reserved.
-- This code is not to be modified or distributed without written permission by the author.
-- Current distribution permissions only include curse.com, wowinterface.com and their respective addon updaters

if select(2,UnitClass("player")) ~= XiTimersClass then return end


DHTimers.SpellIDs = {
	Nemesis = 206491,
	FelEruption = 211881,
	Blur = 198589,
	BlurBuff = 212800,
	Netherwalk = 196555,
	DesperateInstincts = 205411,
	Metamorphosis = 191427,
	MetamorphosisBuff = 162264,
	Darkness = 196718,
	DarknessBuff = 209426,
	SpectralSight = 188501,
	ChaosBlades = 211048,
	FelBarrage = 211053,
		
}

local SpellIDs = DHTimers.SpellIDs

XiTimers.SpellData = {
	[SpellIDs.Nemesis] = {
		--Todo: Custom function for debuff
		alt = {
			SpellIDs.FelEruption,
		},
	},
	[SpellIDs.FelEruption] = {
		alt = {
			SpellIDs.Nemesis,
		},
	},
	[SpellIDs.Blur] = {
		buff = SpellIDs.BlurBuff,
		alt = {
			SpellIDs.Netherwalk,
			SpellIDs.DesperateInstincts,
		},
	},
	[SpellIDs.Netherwalk] = {
		buff = SpellIDs.Netherwalk,
		button = SpellIDs.Blur,
		alt = {
			SpellIDs.Blur,
			SpellIDs.DesperateInstincts,
		},
	},
	[SpellIDs.DesperateInstincts] = {
		buff = SpellIDs.BlurBuff,
		--Todo: Custom timer when buff ends
		alt = {
			SpellIDs.Blur,
			SpellIDs.Netherwalk,
		},
	},
	[SpellIDs.Metamorphosis] = {
		buff = SpellIDs.MetamorphosisBuff,
	},
	[SpellIDs.Darkness] = {
		buff = SpellIDs.DarknessBuff,
	},
	[SpellIDs.SpectralSight] = {
		SpellIDs.SpectralSight,
	},
	[SpellIDs.ChaosBlades] = {
		buff = SpellIDs.ChaosBlades,
		alt = {
			SpellIDs.FelBarrage,
		},
	},
	[SpellIDs.FelBarrage] = {
		alt = {
			SpellIDs.ChaosBlades,
		},
	},
}




